Loading...
Searching...
No Matches
function_traits.hpp File Reference

Provides various type traits for use on functions. More...

`#include <functional>`
`#include <seqan3/utility/type_pack/traits.hpp>`
Include dependency graph for function_traits.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::function_traits< std::function< return_t(args_t...)> >
| A traits class to provide a uniform interface to the properties of a function type. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides various type traits for use on functions.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me